EnderDashEnderDash

Approve Access Request

Approve Access Request. This POST operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/organizations.approveAccessRequest

Approve Access Request. This POST operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

requestId*string
organizationId?string
organizationSlug?string
reason?string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/organizations.approveAccessRequest" \  -H "Content-Type: application/json" \  -d '{    "requestId": "string"  }'
{  "result": {    "data": {      "success": true,      "grantId": null    }  }}